<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Пользователи</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
<#include "../header/navigation.ftlh">
<p></p>
<table>
    <tr>
        <th>Фильм</th>
        <th>Дата сеанса</th>
        <th>Время сеанса</th>
        <th>Форма фильма</th>
        <th>Цена билета</th>
        <th>Зал</th>
        <#if role == 'ADMIN'>
            <td>Действия</td>
        </#if>
    </tr>
    <#list schedules as schedule>
        <tr>
            <td>${schedule.movie.nameMovie}</td>
            <td>${schedule.dateSession}</td>
            <td>${schedule.timeStart}</td>
            <td>${schedule.formMovie}</td>
            <td>${schedule.price}</td>
            <td>${schedule.hall}</td>
            <#if role == 'ADMIN'>
                <td>
                    <a href="/schedules/${schedule.id}">Перейти</a>
                    <a href="/schedules/${schedule.id}/delete">Удалить</a>
                </td>
            </#if>
        </tr>
    </#list>
</table>
<#if role == 'ADMIN'>
    <p></p>
    <form action="/schedules" method="post">
        <label>Фильм
            <select name="movie-id">
                <#list movies as movie>
                    <option value="${movie.id}">${movie.nameMovie}</option>
                </#list>
            </select>
        </label>
        <br>
        <label>
            Дата сеанса
            <input type="date" name="dateSession">
        </label>
        <br>
        <label>
            Время сеанса
            <input type="time" name="timeStart" placeholder="Введите время сеанса">
        </label>
        <br>
        <label>
            Форма фильма
            <input type="text" name="formMovie" placeholder="Введите формат фильма">
        </label>
        <br>
        <label>
            Цена билета
            <input type="number" name="price" placeholder="Введите цена билета">
        </label>
        <br>
        <label>
            Зал
            <input type="text" name="hall" placeholder="Введите зал">
        </label>
        <br>
        <input autofocus type="submit" value="Добавить"/>
    </form>
</#if>
</body>
</html>